Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 968924 - resiprocate doesn't compile
Summary: resiprocate doesn't compile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: resiprocate
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Pocock
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-30 09:50 UTC by Juan Orti
Modified: 2016-05-31 13:49 UTC (History)
3 users (show)

Fixed In Version: resiprocate-1.10.2-26.fc24 resiprocate-1.10.2-26.fc22 resiprocate-1.10.2-26.fc23 resiprocate-1.10.2-26.el7 resiprocate-1.10.2-26.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 17:37:47 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix spec file (952 bytes, patch)
2013-05-30 09:50 UTC, Juan Orti
no flags Details | Diff

Description Juan Orti 2013-05-30 09:50:03 UTC
Created attachment 754745 [details]
Patch to fix spec file

Description of problem:

resiprocate doesn't compile because a bug in the spec file

Version-Release number of selected component (if applicable):

resiprocate-1.8.7-1

Comment 1 Daniel Pocock 2013-05-30 11:14:03 UTC
Thanks for this feedback

In fact, the problem is that the init scripts for RHEL6 were not included in the 1.8.7 upstream tarball.

The new 1.8.8 upstream release this week does include init scripts for RHEL* and pre-systemd Fedora systems.  The 1.8.8 upstream tarball builds RPMs just fine using the rpmbuild command and the embedded spec file.

However, I'm not sure if 1.8.x releases should be pushed into EPEL6 at all as I would prefer to put v1.9.x into EPEL in about 2-3 months when 1.9.0 is released.  If I push v1.8.x now, then anybody upgrading to v1.9.x will find the change slightly disruptive, and I don't believe that is compatible with the EPEL guidelines.  v1.9.x is going to introduce WebRTC (SIP over WebSocket) support, so I think it is really beneficial to have that in EPEL6.

What is your feeling about this?  Do I need to have the el6 branch removed in git until I'm ready to use it?

Comment 2 Peter Lemenkov 2013-05-30 11:20:33 UTC
(In reply to Daniel Pocock from comment #1)

> However, I'm not sure if 1.8.x releases should be pushed into EPEL6 at all
> as I would prefer to put v1.9.x into EPEL in about 2-3 months when 1.9.0 is
> released.  If I push v1.8.x now, then anybody upgrading to v1.9.x will find
> the change slightly disruptive, and I don't believe that is compatible with
> the EPEL guidelines.  v1.9.x is going to introduce WebRTC (SIP over
> WebSocket) support, so I think it is really beneficial to have that in EPEL6.
> 
> What is your feeling about this?  Do I need to have the el6 branch removed
> in git until I'm ready to use it?

I think it's better to wait for 1.9.x (no need to remove EL6 branch).

Comment 3 Juan Orti 2013-05-30 13:07:41 UTC
For me it's not a problem to wait for the 1.9.x series, I have compiled it manually, and I'm only doing some test to see what this SIP-proxy-thing is.

Comment 4 Fedora Update System 2016-05-16 07:26:46 UTC
resiprocate-1.10.2-26.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2865486958

Comment 5 Fedora Update System 2016-05-16 07:26:55 UTC
resiprocate-1.10.2-26.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-21f7187557

Comment 6 Fedora Update System 2016-05-16 07:27:01 UTC
resiprocate-1.10.2-26.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3bd49e1564

Comment 7 Fedora Update System 2016-05-16 07:27:07 UTC
resiprocate-1.10.2-26.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ef119ad39

Comment 8 Fedora Update System 2016-05-16 07:27:14 UTC
resiprocate-1.10.2-26.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fecf2acb64

Comment 9 Fedora Update System 2016-05-16 23:56:19 UTC
resiprocate-1.10.2-26.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-21f7187557

Comment 10 Fedora Update System 2016-05-17 03:19:31 UTC
resiprocate-1.10.2-26.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fecf2acb64

Comment 11 Fedora Update System 2016-05-17 03:24:35 UTC
resiprocate-1.10.2-26.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3bd49e1564

Comment 12 Fedora Update System 2016-05-17 03:53:41 UTC
resiprocate-1.10.2-26.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ef119ad39

Comment 13 Fedora Update System 2016-05-17 04:24:30 UTC
resiprocate-1.10.2-26.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2865486958

Comment 14 Fedora Update System 2016-05-20 17:37:43 UTC
resiprocate-1.10.2-26.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-25 00:53:48 UTC
resiprocate-1.10.2-26.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-26 10:56:00 UTC
resiprocate-1.10.2-26.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-31 13:48:52 UTC
resiprocate-1.10.2-26.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-31 13:49:02 UTC
resiprocate-1.10.2-26.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.